# GimpUi.ProcedureDialog.prototype.fill

    function fill(properties: Array(String)): void {
        // Gjs wrapper for gimp_procedure_dialog_fill_list()
    }

Populate dialog with the widgets corresponding to every listed properties. If the list is null, dialog will be filled by the whole list of properties of the associated Gimp.Procedure, in the defined order:

Nevertheless if you only wish to display a partial list of properties, or if you wish to change the display order, then you have to give an explicit list:

Note: you do not have to call GimpUi.ProcedureDialog.prototype.get_widget on every property before calling this function unless you want a given property to be represented by an alternative widget type. By default, each property will get a default representation according to its type.

properties

  the list of property names.